Skip to main content
`Ctrl`+`K`

# PEPCISSGetKSPs

Retrieve the array of linear solver objects associated with the CISS solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSGetKSPs(PEP pep,PetscInt *nsolve,KSP **ksp)

Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- nsolve - number of solver objects

- ksp - array of linear solver objects

## Notes

The number of `KSP` solvers is equal to the number of integration points divided by the number of partitions. This value is halved in the case of real matrices with a region centered at the real axis.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCISS`, `PEPCISSSetSizes()`

## Level

advanced

## Location

src/pep/impls/ciss/pciss.c

## Implementations

PEPCISSGetKSPs_CISS() in src/pep/impls/ciss/pciss.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages